Subject: Not a git repository: '.'

From: [email-masked]
Date: Sat, 24 Mar 2012 12:26:09 -0500

I have a post-receive hook set up that does the following when something
is pushed to a repository.

- Change directory to another non-bare repository
- Do 'git status'

I get this error from the original git push:

remote: fatal: Not a git repository: '.'

Debug output tells me I am in the correct directory when attempting the
status check.  This directory is a full git workarea (i.e. not a bare
repository).

Any idea what git is complaining about?  I can log on to the server and
do 'git status' in the target directory and everything is fine.

                            -Dave